import httputils from "@/api/httputils";
const baseUrl = '/equip-component'
const rwd = '/rwd'

//类型下信息点
export function dictInfo(params: any): any {
    return httputils.getJson(`${ baseUrl }/dict/equip/info?category=${ params.category }`, {})
}

//所有设备类型
export function dictType(params: any): any {
    return httputils.getJson(`${ baseUrl }/dict/equip/type`, {})
}


//获取设定参数和动态参数
export function BeatchQueryParam(param: any) {
    let url = `${ rwd }/iot/data/current?projectId=${ param.projectId }&groupCode=${ param.groupCode }&appId=${ param.appId }`
    let data = param.data
    return httputils.postJson(url, data)
}

// 统计项目已有的设备类型
export function allDevice(param:any) {
    return httputils.getJson(`${ baseUrl }/dict/project/equip/type`, {})

}
// 统计项目已有的系统类型
export function allSystem(param:any) {
    return httputils.getJson(`${ baseUrl }/dict/project/system/type`, {})

}
