import { SNetUtil } from "@persagy-web/base/lib";
import { SGraphView } from "@persagy-web/graph/lib";

/** 
 * 楼层视图
*/
export class FloorView extends SGraphView {
    /**
       * 保存底图json
       *
       * @param   name    文件名
       */
    saveFloorJson(name: string): void {
        // @ts-ignore
        if (!this.scene || !this.scene.json) return;
        // @ts-ignore
        let url = URL.createObjectURL(new Blob([this.scene.json]));
        SNetUtil.downLoad(name, url);
    } // Function saveSceneSvg()
}