import { SColor } from "@persagy-web/draw/lib";

export class ItemColor {
  /** 墙颜色 */
  static wallColor = new SColor("#2b2b2b");
  /** 柱子颜色 */
  static columnColor = SColor.Black;
  /** 虚拟墙颜色 */
  // static virtualWallColor = SColor.Black;
  /** 空间颜色 */
  static spaceColor = new SColor("#f1fffd80");
  /** 门颜色 */
  // static doorColor = new SColor("#f5b36f");
  /** 窗户颜色 */
  // static windowColor = new SColor("#fcd6ff");
  /** 空间边框颜色 */
  static spaceBorderColor = new SColor("#2b2b2b");
  /** 空间,业务空间选中颜色 */
  static selectColor = new SColor("#1abc9c");
  /** 业务空间不可选中颜色 */
  static zoneUnselectColor = new SColor("#cecece");
}